AssociationChangeNotification.AssocChangeEvent (Java SE 26 & JDK 26)
Description: declaration: module: jdk.sctp, package: com.sun.nio.sctp, class: AssociationChangeNotification, enum: AssocChangeEvent
Keywords: com.sun.nio.sctp.AssociationChangeNotification.AssocChangeEvent class

# Enum Class AssociationChangeNotification.AssocChangeEvent

java.lang.Object
java.lang.Enum<AssociationChangeNotification.AssocChangeEvent>
com.sun.nio.sctp.AssociationChangeNotification.AssocChangeEvent

All Implemented Interfaces:
  `Serializable, Comparable<AssociationChangeNotification.AssocChangeEvent>, Constable`

Enclosing class:
  `AssociationChangeNotification`

public static enum AssociationChangeNotification.AssocChangeEvent extends Enum<AssociationChangeNotification.AssocChangeEvent>
Defines the type of change event that happened to the association.

Since:
  1.7

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANT_START`
  The association failed to setup.
  `COMM_LOST`
  The association has failed.
  `COMM_UP`
  A new association is now ready and data may be exchanged with this peer.
  `RESTART`
  SCTP has detected that the peer has restarted.
  `SHUTDOWN`
  The association has gracefully closed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AssociationChangeNotification.AssocChangeEvent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AssociationChangeNotification.AssocChangeEvent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(AssociationChangeNotification.AssocChangeEvent o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<AssociationChangeNotification.AssocChangeEvent>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<AssociationChangeNotification.AssocChangeEvent>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### COMM_UP

    public static final AssociationChangeNotification.AssocChangeEvent COMM_UP
    A new association is now ready and data may be exchanged with this peer.

  - ### COMM_LOST

    public static final AssociationChangeNotification.AssocChangeEvent COMM_LOST
    The association has failed. A series of SCTP send failed notifications will follow this notification, one for each outstanding message.

  - ### RESTART

    public static final AssociationChangeNotification.AssocChangeEvent RESTART
    SCTP has detected that the peer has restarted.

  - ### SHUTDOWN

    public static final AssociationChangeNotification.AssocChangeEvent SHUTDOWN
    The association has gracefully closed.

  - ### CANT_START

    public static final AssociationChangeNotification.AssocChangeEvent CANT_START
    The association failed to setup. If a message was sent on a `SctpMultiChannel` in non-blocking mode, an SCTP send failed notification will follow this notification for the outstanding message.

- ## Method Details

  - ### values

    public static AssociationChangeNotification.AssocChangeEvent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AssociationChangeNotification.AssocChangeEvent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null